<!-- prettier-ignore-start -->
# Class ObjectAttributeValueDefinition

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.object.ObjectAttributeValueDefinition](dw.object.ObjectAttributeValueDefinition.md)

Represents the value definition associated with an
object attribute.



## Property Summary

| Property | Description |
| --- | --- |
| [displayValue](#displayvalue): [String](TopLevel.String.md) `(read-only)` | Returns a display name that can be used to present this value in  the user interface. |
| [value](#value): [Object](TopLevel.Object.md) `(read-only)` | Returns the actual value for the attribute. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getDisplayValue](dw.object.ObjectAttributeValueDefinition.md#getdisplayvalue)() | Returns a display name that can be used to present this value in  the user interface. |
| [getValue](dw.object.ObjectAttributeValueDefinition.md#getvalue)() | Returns the actual value for the attribute. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### displayValue
- displayValue: [String](TopLevel.String.md) `(read-only)`
  - : Returns a display name that can be used to present this value in
      the user interface. For example, the value might be '1' but the display
      name might be 'Order Exported'.



---

### value
- value: [Object](TopLevel.Object.md) `(read-only)`
  - : Returns the actual value for the attribute.


---

## Method Details

### getDisplayValue()
- getDisplayValue(): [String](TopLevel.String.md)
  - : Returns a display name that can be used to present this value in
      the user interface. For example, the value might be '1' but the display
      name might be 'Order Exported'.


    **Returns:**
    - a display name that can be used to present this value in
      the user interface.



---

### getValue()
- getValue(): [Object](TopLevel.Object.md)
  - : Returns the actual value for the attribute.

    **Returns:**
    - the actual value for the attribute.


---

<!-- prettier-ignore-end -->
